/*
 * File: AgentBodyStates.cpp
 *
 * Description: AgentBodyStates class implementation
 *
 * Author: UI-AI 3D Robocup Soccer Team <ui_3dsoccer@eng.ui.ac.ir>, (c) 2007
 *
 */

/*
    Copyright (C) 2009  UI-AI 3D Team

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef PARSER_SAFE
#define PARSER_SAFE
#endif

#include "AgentBodyStates.h"
#include "ParseTree.h"
#include "LogLevels.h"
#include <string>
using namespace std;

AgentBodyStates::AgentBodyStates()
{
}

AgentBodyStates::~AgentBodyStates()
{
}

void AgentBodyStates::LoadState(ParseTree *stateTree)
{
    AgentBody tmpBody;
    string name = tmpBody.ReadState(stateTree);
    stateNo[name] = states.size();
    states.push_back(tmpBody);
    stateNames.push_back(name);
}
